> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.imagelayout.md).

# ImageLayout

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the position of the image on the control.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum ImageLayout : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum ImageLayout As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name             | Description                                                                                                      |
| ---------------- | ---------------------------------------------------------------------------------------------------------------- |
| **BestFit**      | The image is scaled to the largest size such that both its width and its height can fit inside the content area. |
| **Center**       | The image is centered within the control's client rectangle.                                                     |
| **None**         | The image is left-aligned at the top across the control's client rectangle.                                      |
| **OriginalSize** | The image left-aligned at the top and sized using the image original size.                                       |
| **Stretch**      | The image is stretched across the control's client rectangle.                                                    |
| **Tile**         | The image is tiled across the control's client rectangle.                                                        |
| **Zoom**         | The image is enlarged within the control's client rectangle.                                                     |

## Used By

| Name                                                                                                                                                   | Description                                                                                                                                    |
| ------------------------------------------------------------------------------------------------------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| [Control.BackgroundImageLayout](/api/wisej.web/general/control.md#backgroundimagelayout)                                                               | Returns or sets the background image layout as defined in the [ImageLayout](/api/wisej.web/enumerations/wisej.web.imagelayout.md) enumeration. |
| [DataGridViewCellStyle.BackgroundImageLayout](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcellstyle.md#backgroundimagelayout)    | Returns or sets the background image layout as defined in the [ImageLayout](/api/wisej.web/enumerations/wisej.web.imagelayout.md) enumeration. |
| [ControlExtensions.BackgroundImageLayout](/api/wisej.web.markup/extensions/wisej.web.markup.controlextensions.md#backgroundimagelayout-control-layout) | Sets the layout of the background image for the specified control.                                                                             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.imagelayout.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
